Skip to main content
PATCH
Change a person's profile

Authorizations

__Secure-better-auth.session_token
string
cookie
required

The session cookie set when you sign in to the web app.

Path Parameters

personId
string
required
Maximum string length: 64

Body

application/json
supersedes
string
required
Maximum string length: 64
operationId
string<uuid>
required
at
string<date-time>
required
kinship
string | null
Maximum string length: 160
birthDate
string | null
Maximum string length: 10
Pattern: ^\d{4}-\d{2}-\d{2}$
caregiverDays
object[]
Maximum array length: 14

Response

The profile was superseded.

current
object | null
required

The current profile; null for a pet, which has none.

superseded
object | null
required

The current profile; null for a pet, which has none.